Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Diskussion: MyBB 1.2.12 veröffentlicht
#1
Diskussion zu: MyBB 1.2.12 veröffentlicht

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#2
Was denn nun?

Zitat:Lade das angefügte ZIP-Archiv herunter und entpacke es. Ersetze die Dateien auf dem Server mit den neuen aus dem Archiv.

mybb_1212_changed_files.zip (Größe: 309.54 KB / Downloads: 4)

Für die Aktualisierung von MyBB 1.2.11 auf 1.2.12 ist die Ausführung des Upgradeskripts erforderlich. Dies ist nötig, um Aktualisierungen innerhalb der Templates durchzuführen.

Satz 1: Files ersetzen
Satz 2: Upgradeskript

?????????????????????????????????????
H-P Clieves
Zitieren
#3
aha, deshalb die vorherige "Schließung" des Forums. Wink

Vielen Dank für die Info! Gehe ich recht in der Annahme, dass man vor einem Upgrade nicht nur sein Forum und die DB sichern, sondern auch überprüfen sollte, welche der entsprechenden Dateien evtl. nicht mehr dem Original entsprechen, damit man die Änderung im Nachhinein wieder einfließen lassen kann? All die in Frage kommenden Dateien müssten demnach überprüft werden, wenn man keine oder eine nur lückenhafte Änderungshistorie dokumentiert hat (so wie ich Rolleyes ). Ich nutze für solche Sachen übrigens TortoiseMerge. Wie geht Ihr denn in so einem Fall vor?

Edit:
HPC, ich vermute, dass hier der Aufruf von "../forum/install/upgrade.php" gemeint ist.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#4
@HPC: Das Archiv mit den geänderten Dateien enthält auch den Ordner install. Lade den gesamten Inhalt des Archivs auf den Webspace und ersetze bereits vorhandene Dateien. Öffne dann die Datei install/upgrade.php im Browser und folge den Anweisungen.

@Jockl: Genau. Eigene Änderungen sollten immer dokumentiert werden. Ich verwende Winmerge, was aber aufs gleiche hinausläuft.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#5
Hab es so gemacht.

Wenn ich aber den install/upgrade.php aufrufe, bekomme ich die Fehlermeldung:

The installer is currently locked, please remove 'lock' from the install directory to continue

Wat nu?
H-P Clieves
Zitieren
#6
Meines Wissens nach musst Du die lock-Datei im install-Verzeichnis löschen. Die wird da anscheinend nach der Installation sicherheitshalber erzeugt und abgelegt.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#7
So isses! Jetzt ging's
H-P Clieves
Zitieren
#8
Vielen Dank für das Upgrade.

Habe mein Forum sofort aktualisiert. Verlief alles ohne Probleme!
Zitieren
#9
Das Upgrade verlief auch ohne Probleme, allerdings kann man jetzt nichts mehr schreiben, die User erhalten die Meldung "Unbekannter Fehler" sobald man ein Posting oder auch eine PM absenden will.....

Geht das nur mir so ?
Zitieren
#10
Hast du das Upgrade-Script ausgeführt?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Diskussion: MyBB 1.8.8 veröffentlicht StefanT 52 1.367 02.11.2016, 01:53
Letzter Beitrag: melancholia
  Diskussion: MyBB 1.8.7 veröffentlicht StefanT 38 2.835 23.04.2016, 13:50
Letzter Beitrag: RebelAce
  Diskussion: MyBB 1.8.6 und 1.6.18 veröffentlicht StefanT 22 2.346 06.01.2016, 18:55
Letzter Beitrag: destrokk
  Diskussion: MyBB 1.8.5 und 1.6.17 veröffentlicht StefanT 48 4.184 25.06.2015, 17:42
Letzter Beitrag: KaSo
  Diskussion: MyBB 1.8.4 veröffentlicht StefanT 67 6.511 14.05.2015, 11:30
Letzter Beitrag: Jockl